Bug 83109

Summary: Followup to "Call incrementStatsCounter directly"
Product: WebKit Reporter: Mark Pilgrim (Google) <pilgrim>
Component: New BugsAssignee: Mark Pilgrim (Google) <pilgrim>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, fishd, haraken, japhet, rakuco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 82948    
Attachments:
Description Flags
Patch
none
Work-in-Progress Patch, please ignore
none
Patch
none
Patch
none
Patch none

Description Mark Pilgrim (Google) 2012-04-03 19:54:36 PDT
Followup to "Call incrementStatsCounter directly"
Comment 1 Mark Pilgrim (Google) 2012-04-03 19:55:28 PDT
Created attachment 135491 [details]
Patch
Comment 2 Kentaro Hara 2012-04-03 21:00:22 PDT
Comment on attachment 135491 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=135491&action=review

> Source/WebCore/bindings/v8/V8Proxy.h:49
> +#define INC_STATS(name) PlatformSupport::incrementStatsCounter(name)

Sorry, I am a bit confused. You removed PlatformSupport::incrementStatsCounter in r113034, and thus PlatformSupport::incrementStatsCounter no longer exists... doesn't it?
Comment 3 Adam Barth 2012-04-03 21:25:22 PDT
Comment on attachment 135491 [details]
Patch

Mark, you want to introduce an abstraction like <http://trac.webkit.org/browser/trunk/Source/WebCore/platform/HistogramSupport.h>, perhaps called StatsCounter.h.  We'll implement StatsCounterChromium.cpp via WebKit::Platform and other ports can implement StatsCounterWhatever.cpp however they like (if they want stats counting.
Comment 4 Mark Pilgrim (Google) 2012-04-04 14:23:30 PDT
Created attachment 135681 [details]
Work-in-Progress Patch, please ignore
Comment 5 Mark Pilgrim (Google) 2012-04-04 14:24:04 PDT
Comment on attachment 135681 [details]
Work-in-Progress Patch, please ignore

Not ready for review.
Comment 6 Mark Pilgrim (Google) 2012-04-18 07:05:49 PDT
Created attachment 137680 [details]
Patch
Comment 7 Build Bot 2012-04-18 07:31:03 PDT
Comment on attachment 137680 [details]
Patch

Attachment 137680 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12430074
Comment 8 Mark Pilgrim (Google) 2012-04-18 08:14:57 PDT
Created attachment 137693 [details]
Patch
Comment 9 Kentaro Hara 2012-04-18 08:43:40 PDT
Comment on attachment 137693 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=137693&action=review

OK

> Source/WebCore/platform/StatsCounter.h:38
> +    static void incrementStatsCounter(const char* counterName);

Nit: 'counterName' is not necessary.
Comment 10 Kentaro Hara 2012-04-18 08:48:17 PDT
Comment on attachment 137693 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=137693&action=review

>> Source/WebCore/platform/StatsCounter.h:38
>> +    static void incrementStatsCounter(const char* counterName);
> 
> Nit: 'counterName' is not necessary.

Would you please remove this before commit?
Comment 11 Mark Pilgrim (Google) 2012-04-18 08:51:10 PDT
Created attachment 137703 [details]
Patch
Comment 12 WebKit Review Bot 2012-04-18 09:29:39 PDT
Comment on attachment 137703 [details]
Patch

Clearing flags on attachment: 137703

Committed r114515: <http://trac.webkit.org/changeset/114515>
Comment 13 WebKit Review Bot 2012-04-18 09:29:45 PDT
All reviewed patches have been landed.  Closing bug.